Page MenuHomePhabricator

Rebaser: onDisconnect does not uninitialize sufficiently
Closed, ResolvedPublic1 Story Points

Description

The continueBase and rejections are not cleared on disconnect, which breaks usurping.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (c5fddd508)
VisualEditor/VisualEditor : masterRebaser: uninitialize fully

Event Timeline

dchan created this task.Jan 25 2018, 7:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 25 2018, 7:14 PM
dchan updated the task description. (Show Details)Jan 26 2018, 10:43 AM

Change 406270 had a related patch set uploaded (by Divec; owner: Divec):
[VisualEditor/VisualEditor@master] Rebaser: uninitialize fully

https://gerrit.wikimedia.org/r/406270

Change 406270 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Rebaser: uninitialize fully

https://gerrit.wikimedia.org/r/406270

Change 405751 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (c5fddd508)

https://gerrit.wikimedia.org/r/405751

Change 405751 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (c5fddd508)

https://gerrit.wikimedia.org/r/405751

Jdforrester-WMF closed this task as Resolved.Jan 29 2018, 5:15 PM
Jdforrester-WMF assigned this task to dchan.
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 29 2018, 5:15 PM